package dbc.r15.sample.b4xxntjr;

public class EQlineWrapper {
	private final int[] QLINE_E_BUFFER = {0, 132};
	private final int[] QLINE_E1 = {0, 8};
	private final int[] QLINE_E2 = {8, 26};
	private final int[] QLINE_E3 = {34, 9};
	private final int[] FILLER3 = {43,1};
	private final int[] QLINE_E4 = {44, 9};
	private final int[] FILLER4 = {53,1};
	private final int[] QLINE_E5 = {54, 7};
	private final int[] FILLER5 = {61,1};
	private final int[] QLINE_E6 = {62, 4};
	private final int[] FILLER6 = {66,1};
	private final int[] QLINE_E7 = {67, 11};
	private final int[] FILLER7 = {78,1};
	private final int[] QLINE_E8 = {79, 10};
	private final int[] FILLER8 = {89,1};
	private final int[] QLINE_E9 = {90, 5};
	private final int[] FILLER9 = {95,37};	// It is 40 in the Cobol program
		// Variable to hold the binary data in the container
		private byte[] qData;
		// Set the binary value of the container
		public void setByteArray(byte[] data) { qData = data;}
		// Get the binary value of the container
		public byte[] getByteArray() {return qData;}
		public String getBuffer() {return new String(qData, 0, qData.length);
		}
		public void setBuffer(String newValue) {setNewValue(newValue, QLINE_E_BUFFER[0], QLINE_E_BUFFER[1]);
		}
		public void setQlineE1(String newValue) {setNewValue(newValue, QLINE_E1[0], QLINE_E1[1]);
		}
		public void setQlineE2(String newValue) {setNewValue(newValue, QLINE_E2[0], QLINE_E2[1]);
		}
		public void setQlineE3(String newValue) {setNewValue(newValue, QLINE_E3[0], QLINE_E3[1]);
		}
		public void setQlineE4(String newValue) {setNewValue(newValue, QLINE_E4[0], QLINE_E4[1]);
		}
		public void setQlineE5(String newValue) {setNewValue(newValue, QLINE_E5[0], QLINE_E5[1]);
		}
		public void setQlineE6(String newValue) {setNewValue(newValue, QLINE_E6[0], QLINE_E6[1]);
		}
		public void setQlineE7(String newValue) {setNewValue(newValue, QLINE_E7[0], QLINE_E7[1]);
		}
		public void setQlineE8(String newValue) {setNewValue(newValue, QLINE_E8[0], QLINE_E8[1]);
		}
		public void setQlineE9(String newValue) {setNewValue(newValue, QLINE_E9[0], QLINE_E9[1]);
		}
		
		private void setNewValue(String newValue, int index, int length) {
	/* 1. create a new byte array to hold the string called tData for temporary data
	 * 2. copy the new tData byte array to the cData byte array one byte at a time Left Justified
	 * 3. pad the cData with spaces up to the length passed in on the call 
	 */
	byte tData[] = newValue.getBytes();		// .step 1.
	int tDatalen = tData.length;
	int pDatalen = qData.length;
	int i = 0;
	while ( i < length && index < pDatalen)
	{
		if ( i < tDatalen )
			qData[index++] = tData[i];
		else
			qData[index++] = 0x40;			
		i++;
	}
}
/* private void setNewValueRJ(String newValue, int index, int length) {	
	* 1. create a new byte array to hold the string called tData for temporary data
	 * 2. copy the new tData byte array to the cData byte array one byte at a time Right Justified
	 * 3. pad the cData with spaces up to the length passed in on the call 
	 *
	int oindex = index;						
	for (int i = 0; i < length; index++) {
		qData[index] = (byte)0x40;
		i++;
	}
		
	index = oindex;							
	byte tData[] = newValue.getBytes();	
	int tDatalen = tData.length;
	int pDatalen = qData.length;
	int diff = length - tDatalen;
	index = index + diff;
	int i = 0;
	while ( i < tDatalen && index < pDatalen)
	{
		if ( i < tDatalen )
			qData[index++] = tData[i];		
		i++;
	}
} */

}
