package dbc.r15.sample.b4xxntju;

public class BrnWorkAreaWrapperU {

	private final int[] BRN_BUFFER = {0, 100};
	private final int[] BRN_BRANCH_ID = {0, 9};
	private final int[] BRN_AMOUNT = {9, 5};	// This is signed packed data
	private final int[] BRN_FILLER = {14, 86}; 
	// Variable to hold the binary data in the container 
	 
	private byte[] hData;
	
	 /* Set the binary data of container */
	public void setByteArray(byte[] data) { hData = data;}
	 
	/* Get the binary data of the container */
	public byte[] getByteArray() {return hData;}
	 
	public void setBranchId(String newValue) {setNewValue(newValue, BRN_BRANCH_ID[0], BRN_BRANCH_ID[1]);
	}
	public String getBranchId() {return new String(hData, BRN_BRANCH_ID[0], BRN_BRANCH_ID[1]);
	}
	public void setAmount(String newValue) {setNewValue(newValue, BRN_AMOUNT[0], BRN_AMOUNT[1]);
	}
	public String getAmount() {return new String(hData, BRN_AMOUNT[0], BRN_AMOUNT[1]);
	}
	/* public byte[] getAmByteArray(){
	 *	byte[] b = toByteArray(hData, BRN_AMOUNT[0], BRN_AMOUNT[1]);
	 *}
	 */
	public byte[] getAmtByteArray(){
	String s;
	s = new String(hData, BRN_AMOUNT[0], BRN_AMOUNT[1]);
	return s.getBytes();
	}
	 
	/* Inserts a value into the main byte[] and pads with spaces if necessary.
	 * Note: values will be left justified
	 */
	private void setNewValue(String newValue, int index, int length) {
		/* 1. create a new byte array to hold the string called tData for temporary data
		 * 2. copy the new tData byte array to the cData byte array one byte at a time
		 * 3. pad the cData with spaces up to the length passed in on the call 
		 */
		byte tData[] = newValue.getBytes();		// .step 1.
		int tDatalen = tData.length;
		int cDatalen = hData.length;
		int i = 0;
		while ( i < length && index < cDatalen)
		{
			if ( i < tDatalen )
				hData[index++] = tData[i];
			else
				hData[index++] = 0x40;			
			i++;
		}
	}

}

